package cn.tsy.data.idsse.dsds.model.sar;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;
import java.time.LocalDateTime;

/**********************************************
* 应急搜捞基础信息
* @author: zxq
* @date: 2024-05-16 16:48:56
* @version: 1.0.0
* @email: revisit@126.com
* @Company: www.hmesoft.cn
*/
@HmeTable(name = "SAR_REG", key="TSY_ID")
public class SarReg extends HmeBean{
	private static final long serialVersionUID = -6933565130751425441L;
	private Integer tsy_id;
	//任务类型_目标类别_总序列号
	private String sar_name;
	//应急搜捞：SAR  专项调查：SI
	private String sar_type;
	//如果未知，可填写未知大型沉物：Wreck、锚系类目标Mooring、非合作方目标NCT、其他Other
	private String target_type;
	//目标名称
	private String target_name;
	//目标经度
	private String target_lon;
	//目标纬度
	private String target_lat;
	//目标搜索半径
	private String target_radius;
	//目标长度
	private String target_length;
	//目标宽度
	private String target_width;
	//目标高度
	private String target_height;
	//空气中重量
	private String target_air_weigh;
	//水中重量
	private String target_water_weigh;
	//水深
	private String target_water_depth;
	//目标估值
	private String target_valuation;
	//响应等级
	private String response_level;
	//是否涉密
	private String secret_status;
	//目标所属单位
	private String target_unit;
	//快速响应等级
	private String response_days;
	//创建时间
	private LocalDateTime create_time;
	//联系人
	private String link_man;
	//联系电话
	private String link_tel;
	//情报来源
	private String sar_source;
	//备注信息
	private String sar_remark;
	//SAR状态
	private String sar_status;
	//状态变更时间
	private LocalDateTime sar_status_time;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 任务类型_目标类别_总序列号
	 */
	public String getSar_name() {
		return this.sar_name;
	}

	/****
	 * 任务类型_目标类别_总序列号
	 */
	public void setSar_name(String sar_name) {
		this.sar_name = sar_name;
	}

	/****
	 * 应急搜捞：SAR  专项调查：SI
	 */
	public String getSar_type() {
		return this.sar_type;
	}

	/****
	 * 应急搜捞：SAR  专项调查：SI
	 */
	public void setSar_type(String sar_type) {
		this.sar_type = sar_type;
	}

	/****
	 * 如果未知，可填写未知
大型沉物：Wreck、锚系类目标Mooring、非合作方目标NCT、其他Other
	 */
	public String getTarget_type() {
		return this.target_type;
	}

	/****
	 * 如果未知，可填写未知
大型沉物：Wreck、锚系类目标Mooring、非合作方目标NCT、其他Other
	 */
	public void setTarget_type(String target_type) {
		this.target_type = target_type;
	}

	/****
	 * 目标名称
	 */
	public String getTarget_name() {
		return this.target_name;
	}

	/****
	 * 目标名称
	 */
	public void setTarget_name(String target_name) {
		this.target_name = target_name;
	}

	/****
	 * 目标经度
	 */
	public String getTarget_lon() {
		return this.target_lon;
	}

	/****
	 * 目标经度
	 */
	public void setTarget_lon(String target_lon) {
		this.target_lon = target_lon;
	}

	/****
	 * 目标纬度
	 */
	public String getTarget_lat() {
		return this.target_lat;
	}

	/****
	 * 目标纬度
	 */
	public void setTarget_lat(String target_lat) {
		this.target_lat = target_lat;
	}

	/****
	 * 目标搜索半径
	 */
	public String getTarget_radius() {
		return this.target_radius;
	}

	/****
	 * 目标搜索半径
	 */
	public void setTarget_radius(String target_radius) {
		this.target_radius = target_radius;
	}

	/****
	 * 目标长度
	 */
	public String getTarget_length() {
		return this.target_length;
	}

	/****
	 * 目标长度
	 */
	public void setTarget_length(String target_length) {
		this.target_length = target_length;
	}

	/****
	 * 目标宽度
	 */
	public String getTarget_width() {
		return this.target_width;
	}

	/****
	 * 目标宽度
	 */
	public void setTarget_width(String target_width) {
		this.target_width = target_width;
	}

	/****
	 * 目标高度
	 */
	public String getTarget_height() {
		return this.target_height;
	}

	/****
	 * 目标高度
	 */
	public void setTarget_height(String target_height) {
		this.target_height = target_height;
	}

	/****
	 * 空气中重量
	 */
	public String getTarget_air_weigh() {
		return this.target_air_weigh;
	}

	/****
	 * 空气中重量
	 */
	public void setTarget_air_weigh(String target_air_weigh) {
		this.target_air_weigh = target_air_weigh;
	}

	/****
	 * 水中重量
	 */
	public String getTarget_water_weigh() {
		return this.target_water_weigh;
	}

	/****
	 * 水中重量
	 */
	public void setTarget_water_weigh(String target_water_weigh) {
		this.target_water_weigh = target_water_weigh;
	}

	/****
	 * 水深
	 */
	public String getTarget_water_depth() {
		return this.target_water_depth;
	}

	/****
	 * 水深
	 */
	public void setTarget_water_depth(String target_water_depth) {
		this.target_water_depth = target_water_depth;
	}

	/****
	 * 目标估值
	 */
	public String getTarget_valuation() {
		return this.target_valuation;
	}

	/****
	 * 目标估值
	 */
	public void setTarget_valuation(String target_valuation) {
		this.target_valuation = target_valuation;
	}

	/****
	 * 响应等级
	 */
	public String getResponse_level() {
		return this.response_level;
	}

	/****
	 * 响应等级
	 */
	public void setResponse_level(String response_level) {
		this.response_level = response_level;
	}

	/****
	 * 是否涉密
	 */
	public String getSecret_status() {
		return this.secret_status;
	}

	/****
	 * 是否涉密
	 */
	public void setSecret_status(String secret_status) {
		this.secret_status = secret_status;
	}

	/****
	 * 目标所属单位
	 */
	public String getTarget_unit() {
		return this.target_unit;
	}

	/****
	 * 目标所属单位
	 */
	public void setTarget_unit(String target_unit) {
		this.target_unit = target_unit;
	}

	/****
	 * 快速响应等级
	 */
	public String getResponse_days() {
		return this.response_days;
	}

	/****
	 * 快速响应等级
	 */
	public void setResponse_days(String response_days) {
		this.response_days = response_days;
	}

	/****
	 * 创建时间
	 */
	public LocalDateTime getCreate_time() {
		return this.create_time;
	}

	/****
	 * 创建时间
	 */
	public void setCreate_time(LocalDateTime create_time) {
		this.create_time = create_time;
	}

	/****
	 * 联系人
	 */
	public String getLink_man() {
		return this.link_man;
	}

	/****
	 * 联系人
	 */
	public void setLink_man(String link_man) {
		this.link_man = link_man;
	}

	/****
	 * 联系电话
	 */
	public String getLink_tel() {
		return this.link_tel;
	}

	/****
	 * 联系电话
	 */
	public void setLink_tel(String link_tel) {
		this.link_tel = link_tel;
	}

	/****
	 * 情报来源
	 */
	public String getSar_source() {
		return this.sar_source;
	}

	/****
	 * 情报来源
	 */
	public void setSar_source(String sar_source) {
		this.sar_source = sar_source;
	}

	/****
	 * 备注信息
	 */
	public String getSar_remark() {
		return this.sar_remark;
	}

	/****
	 * 备注信息
	 */
	public void setSar_remark(String sar_remark) {
		this.sar_remark = sar_remark;
	}

	/****
	 * SAR状态
	 */
	public String getSar_status() {
		return this.sar_status;
	}

	/****
	 * SAR状态
	 */
	public void setSar_status(String sar_status) {
		this.sar_status = sar_status;
	}

	/****
	 * 状态变更时间
	 */
	public LocalDateTime getSar_status_time() {
		return this.sar_status_time;
	}

	/****
	 * 状态变更时间
	 */
	public void setSar_status_time(LocalDateTime sar_status_time) {
		this.sar_status_time = sar_status_time;
	}



}